%define fname	usb-modeswitch
%define fver	%{version}

Name:		usb_modeswitch
Summary:	Activating Switchable USB Devices on Linux
Version:	2.6.2
Release:	%mkrel 1
License:	GPLv2+
Group:		System/Kernel and hardware
URL:		https://www.draisberghof.de/usb_modeswitch/
Source0:	https://www.draisberghof.de/usb_modeswitch/%{fname}-%{version}.tar.bz2

BuildRequires:	pkgconfig(libusb-1.0)
# To avoid a file dependency
BuildRequires:	tcl

Requires:	sysfsutils
Requires:	usb_modeswitch-data

%description
USB_ModeSwitch is a mode switching tool for controlling "flip flop"
(multiple device) USB gear.

Several new USB devices (especially high-speed wireless WAN stuff,
they're expensive anyway) have their Windows drivers onboard; when
plugged in for the first time they act like a flash storage and start
installing the driver from there. After that (and on every consecutive
plugging) this driver switches the mode internally, the storage device
vanishes (in most cases), and a new device (like an USB modem) shows
up. The WWAN gear maker Option calls that feature "ZeroCD (TM)".

%prep
%autosetup -p1 -n %{fname}-%{version}

%build
export CFLAGS="%{optflags}" LDFLAGS="%{ldflags}"
%make_build

%install
mkdir -p %{buildroot}%{_unitdir}
%make_install \
	SYSDIR=%{buildroot}%{_unitdir} \
	UDEVDIR=%{buildroot}%{_prefix}/lib/udev

%files
%doc README ChangeLog
%license COPYING
%{_prefix}/lib/udev/%{name}
%{_unitdir}/usb_modeswitch@.service
%{_sbindir}/*
%{_mandir}/man1/*
%config(noreplace) %{_sysconfdir}/usb_modeswitch.conf


%changelog
* Thu Feb 20 2025 daviddavid <daviddavid> 2.6.2-1.mga10
+ Revision: 2150048
- new version: 2.6.2

* Thu Mar 24 2022 umeabot <umeabot> 2.6.1-2.mga9
+ Revision: 1825466
- Mageia 9 Mass Rebuild

* Wed Dec 02 2020 daviddavid <daviddavid> 2.6.1-1.mga8
+ Revision: 1651518
- new version: 2.6.1
- remove merged upstream patch

* Tue Feb 18 2020 umeabot <umeabot> 2.6.0-2.mga8
+ Revision: 1539359
- Mageia 8 Mass Rebuild

* Sun Dec 08 2019 daviddavid <daviddavid> 2.6.0-1.mga8
+ Revision: 1465127
- new version: 2.6.0

* Sun Sep 23 2018 umeabot <umeabot> 2.5.2-2.mga7
+ Revision: 1301543
- Mageia 7 Mass Rebuild

* Thu Mar 01 2018 daviddavid <daviddavid> 2.5.2-1.mga7
+ Revision: 1205827
- new version: 2.5.2

* Fri Aug 11 2017 daviddavid <daviddavid> 2.5.1-1.mga7
+ Revision: 1139699
- new version: 2.5.1

* Wed Jul 19 2017 daviddavid <daviddavid> 2.5.0-1.mga7
+ Revision: 1125085
- new version: 2.5.0
- remove merged upstream patch

* Tue Oct 04 2016 tv <tv> 2.4.0-2.mga6
+ Revision: 1058631
- add fixes from FC:
  o fix crash on early fail (rhbz#1358472)
  o don't return a value from stack (undefined behavior)
  o man pages enhancements
- add the previously omitted systemd service file (rhbz#1352055)
- adjust for /UsrMove

* Sat Sep 17 2016 ghibo <ghibo> 2.4.0-1.mga6
+ Revision: 1053527
- new version: 2.4.0.

* Sun Jan 17 2016 daviddavid <daviddavid> 2.3.0-1.mga6
+ Revision: 925023
- new version: 2.3.0

* Wed Nov 04 2015 daviddavid <daviddavid> 2.2.6-1.mga6
+ Revision: 897845
- new version: 2.2.6

* Tue Oct 06 2015 daviddavid <daviddavid> 2.2.5-1.mga6
+ Revision: 886542
- new version: 2.2.5

* Sun May 10 2015 tmb <tmb> 2.2.1-1.mga5
+ Revision: 821637
- Fix unreliable switching function for Cisco AM10

* Wed Oct 15 2014 umeabot <umeabot> 2.2.0-4.mga5
+ Revision: 746463
- Second Mageia 5 Mass Rebuild

* Thu Sep 25 2014 lmenut <lmenut> 2.2.0-3.mga5
+ Revision: 724746
- rebuild (no file deps)

* Tue Sep 16 2014 umeabot <umeabot> 2.2.0-2.mga5
+ Revision: 690089
- Mageia 5 Mass Rebuild

* Fri Sep 05 2014 luigiwalser <luigiwalser> 2.2.0-1.mga5
+ Revision: 672361
- 2.2.0
- fix libusb BR (should be libusb-1.0, not the old one)

* Sat Jul 05 2014 pterjan <pterjan> 2.1.1-2.mga5
+ Revision: 643550
- Replace libusb*-devel BuildRequires by better ones

* Mon Apr 28 2014 dams <dams> 2.1.1-1.mga5
+ Revision: 618675
- new version 2.1.1

* Thu Feb 06 2014 dams <dams> 2.1.0-1.mga5
+ Revision: 584655
- new version 2.1.0

* Sat Oct 19 2013 umeabot <umeabot> 2.0.1-2.mga4
+ Revision: 534965
- Mageia 4 Mass Rebuild

* Tue Sep 17 2013 dams <dams> 2.0.1-1.mga4
+ Revision: 480618
- new version 2.0.1

* Mon Aug 26 2013 dams <dams> 1.2.7-1.mga4
+ Revision: 471909
- new version 1.2.7

* Sun Jul 28 2013 dams <dams> 1.2.6-1.mga4
+ Revision: 459179
- new version 1.2.6

* Wed Jan 23 2013 fwang <fwang> 1.2.5-3.mga3
+ Revision: 391345
- update rpm group

* Mon Jan 14 2013 umeabot <umeabot> 1.2.5-2.mga3
+ Revision: 385149
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Nov 12 2012 dams <dams> 1.2.5-1.mga3
+ Revision: 317224
- new version 1.2.5

* Fri Jun 01 2012 dams <dams> 1.2.3-1.mga3
+ Revision: 252634
- new version 1.2.3
- clean spec file

* Wed Feb 08 2012 tv <tv> 1.2.1-1.mga2
+ Revision: 206568
- new release
+ wally <wally>
- untighten reqs
- new version 1.1.9
- new version 1.1.8

* Sat Apr 16 2011 pterjan <pterjan> 1.1.7-1.mga1
+ Revision: 86624
- Update to 1.1.7
- Drop obsolete comment in the spec

* Tue Mar 01 2011 eandry <eandry> 1.1.6-3.mga1
+ Revision: 61974
- clean spec

* Mon Feb 07 2011 pterjan <pterjan> 1.1.6-2.mga1
+ Revision: 48585
- Remove file dependency

* Tue Jan 11 2011 supp <supp> 1.1.6-1.mga1
+ Revision: 6507
- imported package usb_modeswitch

